Bug 91122 - DOCX import of OLE object shapes: bottom vertical position instead of top
Summary: DOCX import of OLE object shapes: bottom vertical position instead of top
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: 88234
  Show dependency treegraph
 
Reported: 2015-05-06 20:42 UTC by László Németh
Modified: 2017-06-02 03:35 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document with a bitmap OLE object (14.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-06 20:42 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2015-05-06 20:42:03 UTC
Created attachment 115395 [details]
test document with a bitmap OLE object

The cover picture of the OLE object of the attached test document is correctly anchored as a character, but in bad vertical position, bottom in Writer, instead of top (as in MS Word).
Comment 1 Commit Notification 2015-05-06 22:23:20 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f1cbf94cb3ef743295eb7dcc8ed97e6252828ec

tdf#91122 docx import: fix wrong vertical position of OLE object shape

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-05-06 22:23:23 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8981041eb61ac703921784e1df9e9435c053d04f

tdf#91122 unit test for docx import with wrong vertical position

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 vihsa 2017-06-02 03:35:23 UTC
verified
Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: 2017-06-01 00:30:43